/*
===================================================================
Copyright (C) 2009-2010 Editions JOCATOP / Christophe Gossa
 
This file is part of Jocareso.

Jocareso is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Jocareso is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Jocareso.  If not, see http://www.gnu.org/licenses/


Editions JOCATOP
Route de Saint Saturnin
84310 MORIERES
FRANCE

Christophe Gossa
christophe.gossa@jocatop.fr
===================================================================
*/


#include "jocareso.h"
#include "RDBServer.h"

void FlagReadKill ( SRDB ** pRDB, unsigned long OwnerId );

void ListBaseOpen ( void )
{
    long i;
    RDBAccess_OpenLocal ( );
    GlobalData.RDBBaseNb    = 512;
    for (i=0;i<GlobalData.RDBBaseNb;i++) GlobalData.pRDBBase[i] = NULL;

    RDBServerRightsOpen ( );
}

void ListBaseClose ( void )
{
    long i;

    RDBServerRightsClose ( );

    for (i=0;i<GlobalData.RDBBaseNb;i++)
    {
        if (GlobalData.pRDBBase[i]!=NULL)
        {
            RDBSave ( &GlobalData.pRDBBase[i] );
            RDBDelete ( &GlobalData.pRDBBase[i] );
            GlobalData.pRDBBase[i] = NULL;
        }
    }
    RDBAccess_CloseLocal ( );
}


void ListBaseFreeClient ( unsigned long ulIdentifiant )
{
    long i;
    
    RDBServerRightsFree ( ulIdentifiant );
    return;
    
    //Ici, il faut supprimer les droits que le client aurait oublie de faire sauter
    for (i=0;i<GlobalData.RDBBaseNb;i++)
    {
        if (GlobalData.pRDBBase[i]!=NULL)
        {
            /*FlagReadKill ( 
                &GlobalData.pRDBBase[i], 
                ulIdentifiant );   //Flag du mode Read
            */

            RDBEntry_KillSupervisor ( 
                &GlobalData.pRDBBase[i], 
                ulIdentifiant );
        }
    }
    
}


