/*
===================================================================
Copyright (C) 2009-2010 Editions JOCATOP / Christophe Gossa
 
This file is part of Jocareso.

Jocareso is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Jocareso is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Jocareso.  If not, see http://www.gnu.org/licenses/


Editions JOCATOP
Route de Saint Saturnin
84310 MORIERES
FRANCE

Christophe Gossa
christophe.gossa@jocatop.fr
===================================================================
*/

#ifndef __SYSINFO__
#define __SYSINFO__


/*
    ProcessorGetSpecs
*/
#define SYSINFO_PROCESSOR_GET_MANUFACTURER              0x00000001
#define SYSINFO_PROCESSOR_GET_DESIGNATION               0x00000002
#define SYSINFO_PROCESSOR_GET_FEAT_MMX                  0x00000100
#define SYSINFO_PROCESSOR_GET_FEAT_MMX_EXTENSION        0x00000101
#define SYSINFO_PROCESSOR_GET_FEAT_SSE                  0x00000102
#define SYSINFO_PROCESSOR_GET_FEAT_SSE2                 0x00000103
#define SYSINFO_PROCESSOR_GET_FEAT_SSE3                 0x00000104
#define SYSINFO_PROCESSOR_GET_FEAT_SSSE3                0x00000105
#define SYSINFO_PROCESSOR_GET_FEAT_SSE4a                0x00000106
#define SYSINFO_PROCESSOR_GET_FEAT_SSE4d1               0x00000107
#define SYSINFO_PROCESSOR_GET_FEAT_SSE4d2               0x00000108
#define SYSINFO_PROCESSOR_GET_FEAT_SSE5                 0x00000109
#define SYSINFO_PROCESSOR_GET_FEAT_AVX                  0x0000010A
#define SYSINFO_PROCESSOR_GET_FEAT_3DNOW                0x00000110
#define SYSINFO_PROCESSOR_GET_FEAT_3DNOW_EXTENSION      0x00000111
#define SYSINFO_PROCESSOR_GET_FEAT_X64                  0x00000120
#define SYSINFO_PROCESSOR_GET_FEAT_HTT                  0x00000121
#define SYSINFO_PROCESSOR_GET_FEAT_VT                   0x00000122
#define SYSINFO_PROCESSOR_GET_FEAT_NX                   0x00000123
#define SYSINFO_PROCESSOR_GET_FEAT_PREFETCH             0x00000124
#define SYSINFO_PROCESSOR_GET_FEAT_CMOV                 0x00000125
#define SYSINFO_PROCESSOR_GET_FEAT_CMPXCHG8             0x00000126
#define SYSINFO_PROCESSOR_GET_FEAT_RDTSC                0x00000127
#define SYSINFO_PROCESSOR_GET_FEAT_INVALID_RDTSC        0x00000128
#define SYSINFO_PROCESSOR_GET_CACHE_L1_CODE             0x00000200
#define SYSINFO_PROCESSOR_GET_CACHE_L1_DATA             0x00000201
#define SYSINFO_PROCESSOR_GET_CACHE_L2_DATA             0x00000202
#define SYSINFO_PROCESSOR_GET_CACHE_L3_DATA             0x00000203

long SysInfo_ProcessorGetSpecsA ( long lSpecificationType, unsigned long * pdwReturnedSpecification, char * pszReturnedSpecification );

#endif
