/*
===================================================================
Copyright (C) 2009-2010 Editions JOCATOP / Christophe Gossa
 
This file is part of Jocareso.

Jocareso is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Jocareso is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Jocareso.  If not, see http://www.gnu.org/licenses/


Editions JOCATOP
Route de Saint Saturnin
84310 MORIERES
FRANCE

Christophe Gossa
christophe.gossa@jocatop.fr
===================================================================
*/


#ifndef _EXTENDED_TYPEDEF_

#define _EXTENDED_TYPEDEF_

#ifdef _WIN32
    typedef unsigned __int64        QWORD;
    
    #ifndef _BASETSD_H_
        typedef unsigned __int64        UINT64;
        typedef __int64                 INT64;
    #endif
#else
    typedef unsigned long long      QWORD;
    typedef unsigned long long      UINT64;
    typedef long long               INT64;
#endif

#ifndef _BASETSD_H_
    typedef unsigned long           DWORD;
    typedef unsigned short          WORD;
    typedef unsigned char           BYTE;
    typedef unsigned long           UINT32;
    typedef unsigned short          UINT16;
    typedef unsigned char           UINT8;
    typedef long                    INT32;
    typedef short                   INT16;
    typedef char                    INT8;
#endif

#ifndef __TYPES__

#ifdef NULL
#undef NULL
#endif

#define NULL        (0)
#endif
        
#endif
