/*
===================================================================
Copyright (C) 2009-2010 Editions JOCATOP / Christophe Gossa
 
This file is part of Jocareso.

Jocareso is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Jocareso is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Jocareso.  If not, see http://www.gnu.org/licenses/


Editions JOCATOP
Route de Saint Saturnin
84310 MORIERES
FRANCE

Christophe Gossa
christophe.gossa@jocatop.fr
===================================================================
*/


//Declaration de ma bibliotheque
#include "NDLSocket.h" 

#ifdef _mDES
void _mDES_DebugTextA ( char * pszText );
#endif

long _NDLSendData ( SOCKET Socket, unsigned char * pBufferData, long SendDataLength )
{
    long SentDataLength;
    long Offset;
    long sendDL;

    long lErrorCount;

    
    Offset      = 0;
    lErrorCount = 0;

    do {
        sendDL = SendDataLength;
        //if ( sendDL > 2048 ) sendDL = 2048;

        SentDataLength = sendNDL ( Socket, ( char *) &pBufferData[Offset], sendDL, 0 );

        if ( SentDataLength != SOCKET_ERROR )
        {
            Offset          += SentDataLength;
            SendDataLength  -= SentDataLength;
        }
        
        if (( SentDataLength == SOCKET_ERROR ) || ( SentDataLength != sendDL ))
        {
            //On attend un petit peu...
            //Sleep ( 1 );


            /*

            #ifdef _mDES
                char szTmp[256];

                static long lError, lLastError = 0;

                lError = WSAGetLastErrorNDL();

                if (lError!=lLastError)
                {
                    sprintf ( szTmp, "_NDLSendData : Error %d", lError );
                    _mDES_DebugTextA ( szTmp );
                }
                lLastError = lError;
            #endif

            */
        }

        /*
        if (SentDataLength==0) lErrorCount++;

        if (lErrorCount>3)
        {
            _mDES_DebugTextA ( "_NDLSendData : Multiples Error" );   
            return -1;
        }
        */



    } while ( SendDataLength );

    return 0;
}
