/*
===================================================================
Copyright (C) 2009-2010 Editions JOCATOP / Christophe Gossa
 
This file is part of Jocareso.

Jocareso is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Jocareso is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Jocareso.  If not, see http://www.gnu.org/licenses/


Editions JOCATOP
Route de Saint Saturnin
84310 MORIERES
FRANCE

Christophe Gossa
christophe.gossa@jocatop.fr
===================================================================
*/


    #include "sleep.h"
    #include "screensaver.h"
    #include "tick.h"
    #include "thread.h"
    #include "criticalsection.h"
    
    extern CRITICALSECTION         CriticalSection_RDBAccess;
    extern THREAD                  Thread_RDBAccess;


    long    RDBAccess_UnsecureClientDialogToServer ( unsigned char InID, unsigned char * pInBuffer, unsigned long InLength,
                                             unsigned char ** pOutBuffer, unsigned long * pOutLength );

    long    RDBAccess_SecureClientDialogToServer ( unsigned char InID, unsigned char * pInBuffer, unsigned long InLength,
                                               unsigned char ** pOutBuffer, unsigned long * pOutLength );

    long    RDBAccess_WrapCDTS ( unsigned char InID, unsigned char * pInBuffer, unsigned long InLength,
                                 unsigned char ** pOutBuffer, unsigned long * pOutLength );

