/*
===================================================================
Copyright (C) 2009-2010 Editions JOCATOP / Christophe Gossa
 
This file is part of Jocareso.

Jocareso is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Jocareso is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Jocareso.  If not, see http://www.gnu.org/licenses/


Editions JOCATOP
Route de Saint Saturnin
84310 MORIERES
FRANCE

Christophe Gossa
christophe.gossa@jocatop.fr
===================================================================
*/


//  For Windows only (Visual C++ 2008)
//  Suppress all warnings about unsecured CRT functions
#ifdef _WIN32
#define _CRT_SECURE_NO_WARNINGS
#endif


#ifdef _WIN32
    #include <tchar.h>
    #include <conio.h>
    #include <direct.h>
    #include <io.h>

    #define jocareso_chdir(x)    _chdir(x)
    #define jocareso_mkdir(x,r)  _mkdir(x)
#else
	#ifdef HAVE_CONFIG_H
	#include <config.h>
	#endif

	//#include <iostream>
	//#include <cstdlib>

    #define jocareso_chdir(x)    chdir(x)
    #define jocareso_mkdir(x,r)  mkdir(x,r)
#endif




#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <fcntl.h>
#include <time.h>
#include <math.h>

// C RunTime Header Files
#include <stdlib.h>
#include <malloc.h>
#include <memory.h>


#include "jocareso.h"

