/*
===================================================================
Copyright (C) 2009-2010 Editions JOCATOP / Christophe Gossa
 
This file is part of Jocareso.

Jocareso is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Jocareso is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Jocareso.  If not, see http://www.gnu.org/licenses/


Editions JOCATOP
Route de Saint Saturnin
84310 MORIERES
FRANCE

Christophe Gossa
christophe.gossa@jocatop.fr
===================================================================
*/

/*
===================================================================

This SHA-2 source code written from and validated with FIPS 180-2.

http://csrc.nist.gov/publications/fips/fips180-2/fips180-2withchangenotice.pdf

Only SHA-2 256bit and SHA-2 512bit have be written.

===================================================================
*/

#define SHA256_HASHSIZE         32
#define SHA512_HASHSIZE         64

void sha256 ( unsigned char * pData, unsigned long ui32DataByteCount, unsigned char * pHash );
void sha512 ( unsigned char * pData, unsigned long ui32DataByteCount, unsigned char * pHash );

